Skala
Categories

List all categories

Fetches a complete list of category records available in the system.

GET
/api/categories

Fetches a complete list of category records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

exists[parent]?boolean
parent.id?integer
parent.id[]?array<>
isActive?boolean

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/categories"
[
  {
    "id": 0,
    "name": "string",
    "parent": {},
    "children": [
      {}
    ],
    "lft": 0,
    "lvl": 0,
    "rgt": 0,
    "root": {},
    "isActive": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
]